Skip to main content
PUT
/
v1
/
chat
/
messages
/
{id}
cURL
curl --request PUT \
  --url https://api.botpress.cloud/v1/chat/messages/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-bot-id: <x-bot-id>' \
  --header 'x-bp-authenticated-principal: <x-bp-authenticated-principal>' \
  --data '
{
  "tags": {},
  "payload": {}
}
'
{
  "message": {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "type": "<string>",
    "payload": {},
    "userId": "<string>",
    "conversationId": "<string>",
    "tags": {},
    "origin": "synthetic"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-bp-authenticated-principal
string
required

Authenticated principal. Injected by the authentication middleware.

x-bot-id
string
required

Bot id

x-integration-id
string

Integration id

x-integration-alias
string

Integration alias

x-real-ip
string

Caller's IP address. Injected by the edge proxy.

Path Parameters

id
string
required

Message id

Body

application/json

Message data

tags
object

Set of Tags that you can attach to a Message. The set of Tags available on a Message is restricted by the list of Tags defined previously by the Bot. Set to null or empty string to remove.

payload
object

Payload is the content type of the message. Accepted payload options: Text, Image, Choice, Dropdown, Card, Carousel, File, Audio, Video, Location

Response

Message information

message
object
required

The Message object represents a message in a Conversation for a specific User.

Last modified on July 3, 2026